For the complete documentation index, see llms.txt. This page is also available as Markdown.

Recommendation Cost Settings

Get/set cost type preferences for recommendations

Get recommendation cost settings

get

Get recommendation cost settings for an account

Query parameters
accountIdentifierstringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation-cost-settings
GET /gateway/ccm/api/recommendation-cost-settings HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update recommendation cost settings

put

Update recommendation cost settings for an account

Query parameters
accountIdentifierstringOptional
Body
uuidstringOptional
accountIdstringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation-cost-settings
PUT /gateway/ccm/api/recommendation-cost-settings HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 804

{
  "uuid": "text",
  "accountId": "text",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "awsPreferences": {},
  "azurePreferences": {
    "costType": "LIST_PRICE"
  },
  "ecsPreferences": {
    "costType": "UNBLENDED"
  },
  "nodepoolPreferences": {
    "awsPreferences": {
      "costType": "BANZAI_LIST_PRICE"
    },
    "azurePreferences": {
      "costType": "BANZAI_LIST_PRICE"
    },
    "gcpPreferences": {
      "costType": "BANZAI_LIST_PRICE",
      "includeSpendBasedCUDDiscounts": true,
      "includeLegacySpendBasedCUDCredits": true,
      "includeResourceBasedCUDCredits": true,
      "includePromotionalCredits": true,
      "includeSustainedUseDiscounts": true,
      "includeSpendingBasedDiscounts": true,
      "includeSubscriptionCredits": true,
      "includeNegotiatedSavings": true,
      "includeTaxes": true
    }
  },
  "workloadPreferences": {
    "awsPreferences": {
      "costType": "LIST_PRICE"
    },
    "azurePreferences": {
      "costType": "ACTUAL"
    },
    "gcpPreferences": {
      "costType": "ACTUAL"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?